Package com.independentsoft.office.odf.styles

# Class ChartProperties

java.lang.Object
com.independentsoft.office.odf.styles.ChartProperties

public class ChartProperties extends Object
Represents formatting properties for charts.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChartProperties()`
  Initializes a new instance of the ChartProperties class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChartProperties`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `AxisLabelPosition`
  `getAxisLabelPosition()`
  Gets the position of the axis labels.
  `DataLabelNumber`
  `getDataLabelNumber()`
  Specifies whether the value and/or the percentage of a data point should be displayed within a data label.
  `LabelArrangement`
  `getLabelArrangement()`
  Gets the arrangement of labels on an axis.
  `LabelPosition`
  `getLabelPosition()`
  Specifies where data labels are placed.
  `LabelPosition`
  `getLabelPositionNegative()`
  Specifies where data negative labels are placed.
  `double`
  `getMaximum()`
  Gets the maximum value of an axis.
  `double`
  `getMinimum()`
  Gets the minimum value of an axis.
  `double`
  `getOrigin()`
  Gets the origin of the graphical representation of a data series attached to an axis.
  `double`
  `getOverlap()`
  Specifies how much bars within the same category in a bar chart overlap.
  `int`
  `getPieOffset()`
  Gets the distance of a segment from the center of the circle in case of circle charts.
  `boolean`
  `isAutoPosition()`
  Specifies if an object should be positioned automatically.
  `boolean`
  `isAutoSize()`
  Specifies if the size of an object should be chosen automatically.
  `boolean`
  `isConnectBars()`
  Specifies if bars in a bar chart that belong to the same series are connected by lines.
  `boolean`
  `isDataLabelSymbol()`
  Specifies whether to display a legend symbol within the data label of a data point.
  `boolean`
  `isDataLabelText()`
  Specifies whether to display the category within the data label of a data point.
  `boolean`
  `isDeep()`
  Specifies whether data series are displayed behind each other along the z-axis or not.
  `boolean`
  `isDisplayLabel()`
  Specifies whether labels are displayed on an axis or not.
  `boolean`
  `isLineBreak()`
  Specifies whether word wrapping is allowed for axis labels.
  `boolean`
  `isLogarithmic()`
  Specifies whether logarithmic scaling will be used on an axis.
  `boolean`
  `isMeanValue()`
  Specifies whether to display a line that represents the statistical mean value of all data points of a series.
  `boolean`
  `isPercentage()`
  Gets the percentage accumulation of values per category.
  `boolean`
  `isReverseDirection()`
  Specifies whether the direction of an axis follows the Cartesian coordinate system or the reverse.
  `boolean`
  `isScaleText()`
  Specifies that the text contained in an object should be scaled whenever the size of the chart changes.
  `boolean`
  `isStacked()`
  Gets the accumulation of the series values per category.
  `boolean`
  `isTextOverlap()`
  Specifies whether axis labels may overlap each other.
  `boolean`
  `isThreeDimensional()`
  Specifies whether axis labels may overlap each other.
  `boolean`
  `isVertical()`
  Specifies whether the x-axis in a Cartesian coordinate system is oriented horizontally or vertically.
  `boolean`
  `isVisible()`
  Specifies if an object in a chart is visible or not.
  `void`
  `setAutoPosition​(boolean autoPosition)`
  Specifies if an object should be positioned automatically.
  `void`
  `setAutoSize​(boolean autoSize)`
  Specifies if the size of an object should be chosen automatically.
  `void`
  `setAxisLabelPosition​(AxisLabelPosition axisLabelPosition)`
  Sets the position of the axis labels.
  `void`
  `setConnectBars​(boolean connectBars)`
  Specifies if bars in a bar chart that belong to the same series are connected by lines.
  `void`
  `setDataLabelNumber​(DataLabelNumber dataLabelNumber)`
  Specifies whether the value and/or the percentage of a data point should be displayed within a data label.
  `void`
  `setDataLabelSymbol​(boolean dataLabelSymbol)`
  Specifies whether to display a legend symbol within the data label of a data point.
  `void`
  `setDataLabelText​(boolean dataLabelText)`
  Specifies whether to display the category within the data label of a data point.
  `void`
  `setDeep​(boolean deep)`
  Specifies whether data series are displayed behind each other along the z-axis or not.
  `void`
  `setDisplayLabel​(boolean displayLabel)`
  Specifies whether labels are displayed on an axis or not.
  `void`
  `setLabelArrangement​(LabelArrangement labelArrangement)`
  Sets the arrangement of labels on an axis.
  `void`
  `setLabelPosition​(LabelPosition labelPosition)`
  Specifies where data labels are placed.
  `void`
  `setLabelPositionNegative​(LabelPosition labelPositionNegative)`
  Specifies where data negative labels are placed.
  `void`
  `setLineBreak​(boolean lineBreak)`
  Specifies whether word wrapping is allowed for axis labels.
  `void`
  `setLogarithmic​(boolean logarithmic)`
  Specifies whether logarithmic scaling will be used on an axis.
  `void`
  `setMaximum​(double maximum)`
  Sets the maximum value of an axis.
  `void`
  `setMeanValue​(boolean meanValue)`
  Specifies whether to display a line that represents the statistical mean value of all data points of a series.
  `void`
  `setMinimum​(double minimum)`
  Sets the minimum value of an axis.
  `void`
  `setOrigin​(double origin)`
  Sets the origin of the graphical representation of a data series attached to an axis.
  `void`
  `setOverlap​(double origin)`
  Specifies how much bars within the same category in a bar chart overlap.
  `void`
  `setPercentage​(boolean percentage)`
  Sets the percentage accumulation of values per category.
  `void`
  `setPieOffset​(int pieOffset)`
  Sets the distance of a segment from the center of the circle in case of circle charts.
  `void`
  `setReverseDirection​(boolean reverseDirection)`
  Specifies whether the direction of an axis follows the Cartesian coordinate system or the reverse.
  `void`
  `setScaleText​(boolean scaleText)`
  Specifies that the text contained in an object should be scaled whenever the size of the chart changes.
  `void`
  `setStacked​(boolean stacked)`
  Sets the accumulation of the series values per category.
  `void`
  `setTextOverlap​(boolean textOverlap)`
  Specifies whether axis labels may overlap each other.
  `void`
  `setThreeDimensional​(boolean threeDimensional)`
  Specifies whether axis labels may overlap each other.
  `void`
  `setVertical​(boolean vertical)`
  Specifies whether the x-axis in a Cartesian coordinate system is oriented horizontally or vertically.
  `void`
  `setVisible​(boolean visible)`
  Specifies if an object in a chart is visible or not.
  `String`
  `toString()`
  Converts the value of the current ChartProperties object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChartProperties

    public ChartProperties()
    Initializes a new instance of the ChartProperties class.

- ## Method Details

  - ### clone

    public ChartProperties clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ChartProperties object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### isDisplayLabel

    public boolean isDisplayLabel()
    Specifies whether labels are displayed on an axis or not.
    Returns:
      true, if is display label

  - ### setDisplayLabel

    public void setDisplayLabel​(boolean displayLabel)
    Specifies whether labels are displayed on an axis or not.
    Parameters:
      `displayLabel` - the new display label

  - ### isTextOverlap

    public boolean isTextOverlap()
    Specifies whether axis labels may overlap each other.
    Returns:
      true, if is text overlap

  - ### setTextOverlap

    public void setTextOverlap​(boolean textOverlap)
    Specifies whether axis labels may overlap each other.
    Parameters:
      `textOverlap` - the new text overlap

  - ### isLineBreak

    public boolean isLineBreak()
    Specifies whether word wrapping is allowed for axis labels.
    Returns:
      true, if is line break

  - ### setLineBreak

    public void setLineBreak​(boolean lineBreak)
    Specifies whether word wrapping is allowed for axis labels.
    Parameters:
      `lineBreak` - the new line break

  - ### getLabelArrangement

    public LabelArrangement getLabelArrangement()
    Gets the arrangement of labels on an axis.
    Returns:
      the label arrangement

  - ### setLabelArrangement

    public void setLabelArrangement​(LabelArrangement labelArrangement)
    Sets the arrangement of labels on an axis.
    Parameters:
      `labelArrangement` - the new label arrangement

  - ### isScaleText

    public boolean isScaleText()
    Specifies that the text contained in an object should be scaled whenever the size of the chart changes.
    Returns:
      true, if is scale text

  - ### setScaleText

    public void setScaleText​(boolean scaleText)
    Specifies that the text contained in an object should be scaled whenever the size of the chart changes.
    Parameters:
      `scaleText` - the new scale text

  - ### isThreeDimensional

    public boolean isThreeDimensional()
    Specifies whether axis labels may overlap each other.
    Returns:
      true, if is three dimensional

  - ### setThreeDimensional

    public void setThreeDimensional​(boolean threeDimensional)
    Specifies whether axis labels may overlap each other.
    Parameters:
      `threeDimensional` - the new three dimensional

  - ### isDeep

    public boolean isDeep()
    Specifies whether data series are displayed behind each other along the z-axis or not.
    Returns:
      true, if is deep

  - ### setDeep

    public void setDeep​(boolean deep)
    Specifies whether data series are displayed behind each other along the z-axis or not.
    Parameters:
      `deep` - the new deep

  - ### isAutoPosition

    public boolean isAutoPosition()
    Specifies if an object should be positioned automatically.
    Returns:
      true, if is auto position

  - ### setAutoPosition

    public void setAutoPosition​(boolean autoPosition)
    Specifies if an object should be positioned automatically.
    Parameters:
      `autoPosition` - the new auto position

  - ### isLogarithmic

    public boolean isLogarithmic()
    Specifies whether logarithmic scaling will be used on an axis. By default, proportional scaling is used.
    Returns:
      true, if is logarithmic

  - ### setLogarithmic

    public void setLogarithmic​(boolean logarithmic)
    Specifies whether logarithmic scaling will be used on an axis. By default, proportional scaling is used.
    Parameters:
      `logarithmic` - the new logarithmic

  - ### isReverseDirection

    public boolean isReverseDirection()
    Specifies whether the direction of an axis follows the Cartesian coordinate system or the reverse. False is the default.
    Returns:
      true, if is reverse direction

  - ### setReverseDirection

    public void setReverseDirection​(boolean reverseDirection)
    Specifies whether the direction of an axis follows the Cartesian coordinate system or the reverse. False is the default.
    Parameters:
      `reverseDirection` - the new reverse direction

  - ### isAutoSize

    public boolean isAutoSize()
    Specifies if the size of an object should be chosen automatically.
    Returns:
      true, if is auto size

  - ### setAutoSize

    public void setAutoSize​(boolean autoSize)
    Specifies if the size of an object should be chosen automatically.
    Parameters:
      `autoSize` - the new auto size

  - ### getAxisLabelPosition

    public AxisLabelPosition getAxisLabelPosition()
    Gets the position of the axis labels.
    Returns:
      the axis label position

  - ### setAxisLabelPosition

    public void setAxisLabelPosition​(AxisLabelPosition axisLabelPosition)
    Sets the position of the axis labels.
    Parameters:
      `axisLabelPosition` - the new axis label position

  - ### isConnectBars

    public boolean isConnectBars()
    Specifies if bars in a bar chart that belong to the same series are connected by lines.
    Returns:
      true, if is connect bars

  - ### setConnectBars

    public void setConnectBars​(boolean connectBars)
    Specifies if bars in a bar chart that belong to the same series are connected by lines.
    Parameters:
      `connectBars` - the new connect bars

  - ### getDataLabelNumber

    public DataLabelNumber getDataLabelNumber()
    Specifies whether the value and/or the percentage of a data point should be displayed within a data label. By default, neither the value nor a percentage is displaye
    Returns:
      the data label number

  - ### setDataLabelNumber

    public void setDataLabelNumber​(DataLabelNumber dataLabelNumber)
    Specifies whether the value and/or the percentage of a data point should be displayed within a data label. By default, neither the value nor a percentage is displaye
    Parameters:
      `dataLabelNumber` - the new data label number

  - ### isDataLabelSymbol

    public boolean isDataLabelSymbol()
    Specifies whether to display a legend symbol within the data label of a data point.
    Returns:
      true, if is data label symbol

  - ### setDataLabelSymbol

    public void setDataLabelSymbol​(boolean dataLabelSymbol)
    Specifies whether to display a legend symbol within the data label of a data point.
    Parameters:
      `dataLabelSymbol` - the new data label symbol

  - ### isDataLabelText

    public boolean isDataLabelText()
    Specifies whether to display the category within the data label of a data point.
    Returns:
      true, if is data label text

  - ### setDataLabelText

    public void setDataLabelText​(boolean dataLabelText)
    Specifies whether to display the category within the data label of a data point.
    Parameters:
      `dataLabelText` - the new data label text

  - ### isVertical

    public boolean isVertical()
    Specifies whether the x-axis in a Cartesian coordinate system is oriented horizontally or vertically.
    Returns:
      true, if is vertical

  - ### setVertical

    public void setVertical​(boolean vertical)
    Specifies whether the x-axis in a Cartesian coordinate system is oriented horizontally or vertically.
    Parameters:
      `vertical` - the new vertical

  - ### isVisible

    public boolean isVisible()
    Specifies if an object in a chart is visible or not. By default, objects are visible.
    Returns:
      true, if is visible

  - ### setVisible

    public void setVisible​(boolean visible)
    Specifies if an object in a chart is visible or not. By default, objects are visible.
    Parameters:
      `visible` - the new visible

  - ### isStacked

    public boolean isStacked()
    Gets the accumulation of the series values per category. Each value is in addition to the other values in the same category.
    Returns:
      true, if is stacked

  - ### setStacked

    public void setStacked​(boolean stacked)
    Sets the accumulation of the series values per category. Each value is in addition to the other values in the same category.
    Parameters:
      `stacked` - the new stacked

  - ### isPercentage

    public boolean isPercentage()
    Gets the percentage accumulation of values per category.
    Returns:
      true, if is percentage

  - ### setPercentage

    public void setPercentage​(boolean percentage)
    Sets the percentage accumulation of values per category.
    Parameters:
      `percentage` - the new percentage

  - ### getLabelPosition

    public LabelPosition getLabelPosition()
    Specifies where data labels are placed.
    Returns:
      the label position

  - ### setLabelPosition

    public void setLabelPosition​(LabelPosition labelPosition)
    Specifies where data labels are placed.
    Parameters:
      `labelPosition` - the new label position

  - ### getLabelPositionNegative

    public LabelPosition getLabelPositionNegative()
    Specifies where data negative labels are placed.
    Returns:
      the label position negative

  - ### setLabelPositionNegative

    public void setLabelPositionNegative​(LabelPosition labelPositionNegative)
    Specifies where data negative labels are placed.
    Parameters:
      `labelPositionNegative` - the new label position negative

  - ### getMaximum

    public double getMaximum()
    Gets the maximum value of an axis.
    Returns:
      the maximum

  - ### setMaximum

    public void setMaximum​(double maximum)
    Sets the maximum value of an axis.
    Parameters:
      `maximum` - the new maximum

  - ### getMinimum

    public double getMinimum()
    Gets the minimum value of an axis.
    Returns:
      the minimum

  - ### setMinimum

    public void setMinimum​(double minimum)
    Sets the minimum value of an axis.
    Parameters:
      `minimum` - the new minimum

  - ### isMeanValue

    public boolean isMeanValue()
    Specifies whether to display a line that represents the statistical mean value of all data points of a series.
    Returns:
      true, if is mean value

  - ### setMeanValue

    public void setMeanValue​(boolean meanValue)
    Specifies whether to display a line that represents the statistical mean value of all data points of a series.
    Parameters:
      `meanValue` - the new mean value

  - ### getOrigin

    public double getOrigin()
    Gets the origin of the graphical representation of a data series attached to an axis.
    Returns:
      the origin

  - ### setOrigin

    public void setOrigin​(double origin)
    Sets the origin of the graphical representation of a data series attached to an axis.
    Parameters:
      `origin` - the new origin

  - ### getOverlap

    public double getOverlap()
    Specifies how much bars within the same category in a bar chart overlap. It is specified as an integer percentage relative to the width of a single bar.
    Returns:
      the overlap

  - ### setOverlap

    public void setOverlap​(double origin)
    Specifies how much bars within the same category in a bar chart overlap. It is specified as an integer percentage relative to the width of a single bar.
    Parameters:
      `origin` - the new overlap

  - ### getPieOffset

    public int getPieOffset()
    Gets the distance of a segment from the center of the circle in case of circle charts. The offset is given as percentage of the radius of the circle.
    Returns:
      the pie offset

  - ### setPieOffset

    public void setPieOffset​(int pieOffset)
    Sets the distance of a segment from the center of the circle in case of circle charts. The offset is given as percentage of the radius of the circle.
    Parameters:
      `pieOffset` - the new pie offset